#### Description:

This function stores a FITS header card in a FitsChan. The card is either inserted before the current card (identified by the Card attribute), or over-writes the current card, as required.

#### Synopsis

void astPutFits( AstFitsChan ∗this, const char card[ 80 ], int overwrite )

#### Parameters:

##### this

Pointer to the FitsChan.

##### card

Pointer to a possibly null-terminated character string containing the FITS card to be stored. No more than 80 characters will be used from this string (or fewer if a null occurs earlier).

##### overwrite

If this value is zero, the new card is inserted in front of the current card in the FitsChan (as identified by the initial value of the Card attribute). If it is non-zero, the new card replaces the current card. In either case, the Card attribute is then incremented by one so that it subsequently identifies the card following the one stored.

#### Notes:

- If the Card attribute initially points at the `"` end-of-file`"` (i.e. exceeds the number of cards in the FitsChan), then the new card is appended as the last card in the FitsChan.

- An error will result if the supplied string cannot be interpreted as a FITS header card.

Copyright (C) 2021 East Asian Observatory